@import url('https://fonts.googleapis.com/css2?family=Archivo+Narrow&display=swap');

/* above gets google font and must always appear on first line of css */



/* makes sizes more intuitive */
*, *::before, *::after {
  box-sizing: border-box;
}

/* on page links */


a.onpage:link{ color:#000; } 
a.onpage:visited{ color:#000; } 
a.onpage:hover{ color:#E6B13F; } 
a.onpage:active{ color:#000}


/*Blue = #001A3F*Gold = #E6B13F*Grey = #ebebeb dark grey #3D4849*/

/* nested grid for contents pages*/

/*content div style*/
.contents {
  display: block;
  background-color:#ebebeb;
  border: 1px solid #C0C0C0;
  margin-bottom: 15px;
  padding: 20px;
  margin-left: 30px;
  margin-right: 30px;
  border-radius: 8px;
  color: #0C1A7C;
  min-height: 4em;
  overflow: auto;
}
.contents img {
  display: inline-block;
  margin: 25px 10px;
}

/* Stack the layout on small devices/viewports. */
@media all and (max-width: 600px) {
  .map-container {
    grid-template-areas:
      'ConL'
      'ConR'
    
  }}



/*submit buttons*/

/* Style the submit button */
  input[type=submit] {
  background-color: #E6B13F;
  color: #ebebeb;
  padding: 8px 10px;
  border: none;
  border-radius: 4px;
  margin-top: 5px;
  cursor: pointer;
}
/* Style the submit button */
  input[type=reset] {
  background-color: #E6B13F;
  color: #ebebeb;
  padding: 8px 10px;
  border: none;
  border-radius: 4px;
  margin-right: 5px;
  margin-top: 5px;
  cursor: pointer;
}
  input[type="submit"]:hover {
  background-color: #3D4849;
}

input[type="reset"]:hover {
 background-color: #3D4849;
}




/* responsive form*/


label {
  padding: 12px 12px 12px 0;
  display: inline-block;
}

input[type=text], select, textarea {
  width: 100%;
  padding: 12px;
  border: 1px solid #ccc;
  border-radius: 4px;
  resize: vertical;
}

input[type="submit"] {

  padding: 10px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  float: right;
}
input[type="reset"] {
  
  padding: 10px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  float: right;
}



.button-box {
  display: flex;
  justify-content: space between;
  float: right;
}



.form-container {
  border-radius: 8px;
  /*background-color: #ebebeb;*/
  border: 1px solid #495C7D;
  padding: 10px;
  margin-left: auto;
  margin-right: auto;
  margin-top: 35px;
  width: 90%;
}

.fcol-25 {
  float: left;
  width: 25%;
  margin-top: 4px;
  padding: 2px;
}

.fcol-75 {
  float: left;
  width: 75%;
  margin-top: 4px;
  padding: 2px;

}
.fcol-ar {
  width: 100%;
  padding-left: 25px;
 
}
/* Clear floats after the columns */
.frow:after {
  content: "";
  display: table;
  clear: both;
}

/* Responsive layout - when the screen is less than 600px wide, make the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 600px) {
  .fcol-25,
  .fcol-75,
  input[type="submit"] {
    width: 100%;
    margin-top: 0;
  }
}

/* category link on book card*/


#click-select a:link{ color:#E6B13F; } 
#click-select a:visited{ color:#e6b13f; } 
#click-select a:hover{ color:#828282; } 
#click-select a:active{ color:#000}

/*pagination layout*/

#pagination {
  display: block;
  margin: auto;
  width: 90%;
  background-color:#000;
  border: 0px solid #C0C0C0;
  text-align: right;
  padding-right: 1em;
 
}

#pagination a:link{ color:#E6B13F; } 
#pagination a:visited{ color:#fff; } 
#pagination a:hover{ color:#828282; } 
#pagination a:active{ color:#495C7D}


/*category pagination layout*/

#c-pagination {
  display: block;
  margin: auto;
  width: 90%;
  background-color:#000;
  border: 0px solid #C0C0C0;
 /* text-align: right;*/
  padding-left: 1em;
 
}

#c-pagination a:link{ color:#E6B13F; } 
#c-pagination a:visited{ color:#fff; } 
#c-pagination a:hover{ color:#828282; } 
#c-pagination a:active{ color:#fff}





/*comments div style*/
.comments {
  display: block;
  background-color:#ebebeb;
  border: 1px solid #C0C0C0;
  margin-bottom: 15px;
  padding: 20px;
  margin-left: 30px;
  margin-right: 30px;
  border-radius: 8px;
  color: #0C1A7C;
}



.textwrap { float:right;
margin: 10px;
}
.textwrapleft { float:left;
margin: 10px;
}



/*results section*/

.search-header {
     text-align: center;
     padding: 5px;
}
#Sresults {
  table-layout: fixed;
  width: 90%;
  
  border: none;
  margin: auto; /* centers the table */
  border-collapse: collapse;
  color: #000;
}

#Sresults tr {
  vertical-align: top;
  background-color: #fff;
} /* this has priority over anything set in colgroup below*/
#Sresults col.left {
  width: 207px;
  text-align: left;
  overflow: hidden;
}
#Sresults col.centre {
  width: 65%;
  vertical-align: top;
}
#Sresults col.right {
  width: 15%;
  vertical-align: top;
}


/* Detailed layout of results table */
.centretd {
  padding-left: 20px;
  padding-top: 2em;
}
.lefttd {
  padding-right: 10px;
  padding-left: 10px;
  vertical-align: top;
}
.righttd {
  padding-right: 20px;
  padding-top: 2em;
}
.linediv {
  background-color: #ebebeb;
  border: 1px solid #c0c0c0;
}
.dividetr {
  border: 0px solid red;
  background-color: #ebebeb;
}

/* Rounded border horizontal rule*/
hr.rounded {
  border-top: 2px solid #ebebeb;
  border-radius: 1px;
}




/* results image positioninig*/

img.results {
    display: block;
    margin: auto;
    object-fit: scale-down;
    }



/* *links*/


/*Blue = #001A3F*Gold = #E6B13F*Grey = #ebebeb*/
a {
	color: #E6B13F;
	font-size:1em;
	font-family: 'Archivo Narrow', sans-serif;
	font-weight:100;
	
	}

a:link {color:#E6B13F;}
a:visited {color:#ebebeb;}
a:hover {color:#828282; text-decoration:underline;}



/*H tag styles*/

h1 { 
    display: block;
    font-size: 1.8em;
    margin-top: 0.67em;
    margin-bottom: 0.67em;
    margin-left: 0;
    margin-right: 0;
    /*font-weight: bold;*/
    color:#fff;
}
h2 {
    display: block;
    font-size: 1.4em;
    margin-top: 1em;
    margin-bottom: 1em;
    margin-left: 0;
    margin-right: 0;
   /* font-weight: bold;*/
    color:#3D4849;
}
h3 { 
    display: block;
    font-size: 1.2em;
    margin-top: 1em;
    margin-bottom: 1em;
    margin-left: 0;
    margin-right: 0;
    /*font-weight: bold;*/
    color:#3D4849;
}



h1.internal-head {

display: block;
    font-size: 1.8em;
    margin-top: 0.67em;
    margin-bottom: 0.67em;
    margin-left: 0;
    margin-right: 0;
    /*font-weight: bold;*/
    color:#3D4849;
}
span.books {

display: block;
    font-size: 1.2em;
    color:#001A3F; 
}

/*main slideshow*/


* {box-sizing: border-box;}
body {font-family: archivo+narrow,Verdana, sans-serif;}
.mySlides {display: none;}
img {vertical-align: middle;}

/* Slideshow container */
.slideshow-container {
  max-width:100%;
  position: relative;
  margin: auto;
}

/* Caption text */
.text {
  color: #f2f2f2;
  font-size: 15px;
  padding: 8px 12px;
  position: absolute;
  bottom: 8px;
  width: 100%;
  text-align: center;
}

/* Number text (1/3 etc)  */
.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}                                               

/* The dots/bullets/indicators */
.dot {
  height: 0px;
  width: 0px;
  margin: 0 2px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

.active {
  background-color: #001a3f;
}

/* Fading animation */
.fade {
  -webkit-animation-name: fade;
  -webkit-animation-duration: 2s;
  animation-name: fade;
  animation-duration: 2s;
}

@-webkit-keyframes fade {
  from {opacity: .5} 
  to {opacity: 1}
}

@keyframes fade {
  from {opacity: .5} 
  to {opacity: 1}
}

/* On smaller screens, decrease text size */
@media only screen and (max-width: 600px) {
 display: none;
 text {font-size: 11px}
}




/* main logo positioninig*/

img.mainlogo {
    display: block;
    margin-left: auto;
    margin-right: auto;
    object-fit: scale-down;
    }

/*visitor flags image positioning*/
img.flagmap {
object-fit: scale-down;
         }

/* nested grid for map and search box on home page*/

.map-container {
  display: grid;
  grid-template-columns: 1fr 1fr ;
  grid-template-rows: 1fr;
  gap: 0em 1em;
  border: 0px dashed yellow;
  margin: auto;
  width: 100%;
  grid-template-areas:
    "MapL MapR";
}

.MapL { grid-area: MapL; }
.MapR { grid-area: MapR; }


/* Stack the layout on small devices/viewports. */

@media all and (max-width: 600px) {
  .MapR {display: none;}
  .map-container {grid-template-areas:'MapL' 'MapR'}
}



/*.ban-container > div {
border: green 1px solid;
padding: 1em;
}*/

/*left sidebar images*/

img.leftbar {
    object-fit: scale-down;
         }

/* nested grid left sidebar*/

.grid-left {
  display: grid;

 */ grid-template-columns: 1fr;*/
  grid-template-rows: repeat(10, 1fr);
  gap: 0px 0px;
  grid-template-areas:
    "L1"
    "L2"
    "L3"
    "L4"
    "L5"
    "L6"
    "L7"
    "L8"
    "L9"
    "L10";
}

.L1 { grid-area: L1; margin: 1.2em 0 0 1.2em; padding: 4px;}

.L2 { grid-area: L2; margin: 1.2em 0 0 1.2em; padding: 4px;}

.L3 { grid-area: L3; margin: 1.2em 0 0 1.2em; padding: 4px;}

.L4 { grid-area: L4; margin: 1.2em 0 0 1.2em; padding: 4px;}

.L5 { grid-area: L5; margin: 1.2em 0 0 1.2em; padding: 4px;}

.L6 { grid-area: L6; margin: 1.2em 0 0 1.2em; padding: 4px; font-size: 0.85em;}

.L7 { grid-area: L7; margin: 1.2em 0 0 1.2em; padding: 4px;}

.L8 { grid-area: L8; margin: 1.2em 0 0 1.2em; padding: 4px;}

.L9 { grid-area: L9; margin: 1.2em 0 0 1.2em; padding: 4px;}

.L10 { grid-area: L10; margin: 1.2em 0 0 1.2em; padding: 4px;}



.grid-left  div {
border: red 0px dashed;
color: #E6B13F; /*sets the font colour for the sidebar*/

}

.nav-left {
  display: block;
  margin-top: 20px;
  border: red 0px dashed;
  color: #E6B13F;
}

/****************

left sidebar divs
 
*****************/
#toplinks {
  margin-left: 20px;
}
#malcart {
  margin-left: 20px;
  margin-top: 20px;
}
#flags {
  margin-left: 20px;
  margin-top: 20px;
}
#cards {
  margin-left: 35px;
  margin-top: 20px;
}
#secmets {
  margin-left: 35px;
  margin-top: 20px;
}
#iban {
  margin-left: 15px;
  margin-top: 20px;
}
#wrappro {
  margin-left: 15px;
  margin-top: 20px;
}
#bubblewrap {
  margin-left: 15px;
  margin-top: 20px;
}
#signoff {
  margin-left: 15px;
  margin-top: 20px;
}
#bottomlinks {
  margin-left: 15px;
  margin-top: 20px;
}











/* nested grid right sidebar*/

.grid-right {
  display: block;
  margin-top: 20px;
  border: red 0px dashed;
}


/*responsive image class*/

.responsivepic {
  width: 100%;
  max-width: 400px;
  height: auto;
}

/* nested grid for header*/

.ban-container {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 1fr;
  gap: 0em 1em;
  border: 0px solid yellow;
  grid-template-areas:
    "BanL BanC BanR";
}


.BanL { grid-area: BanL; font-size: 1.6em;  color: #E6B13F;}

.BanC { grid-area: BanC; }

.BanR { grid-area: BanR; font-size: 1.4em; text-align: right; color: #E6B13F;}




/* Stack the layout on small devices/viewports. */
@media all and (max-width: 600px) {
  .ban-container {
    grid-template-areas:
      'BanC'
      'BanL'
      'BanR';
  }
}


/*.ban-container > div {
border: green 0px dashed; AJM appears a dupplicate remmed out 26/05/22
padding: 1em;
}*/



/* careful with this, it is the main layout grid*/
body { 
  display: grid;
  grid-template-areas: 
    "header header header"
    "nav article ads"
    "footer footer footer";
  grid-template-rows: 1fr 1fr 160px;  
  grid-template-columns: 225px 1fr 0.25fr;
  grid-row-gap: 0px;
  grid-column-gap: 0px;
  background-color: #001A3F;
  height: 100vh;
  margin: 0;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  }  
/* Stack the layout on small devices/viewports. */
@media all and (max-width: 600px) {
  body { 
    grid-template-areas: 
      "header"
      "article"
      "ads"
      "nav"
      "footer";
    grid-template-rows: 80px 1fr 70px 1fr 100px;  
    grid-template-columns:0.25fr 1fr 0.25fr;
 }
}
header, footer, article, nav, div {
  padding:0.1em;
  background: #001A3F;
  font-family: 'Archivo Narrow', sans-serif;
  color: #828282;
  }
#pageHeader {
  grid-area: header;
  }
#pageFooter {
  grid-area: footer;
  color: #E6B13F;
  }
#mainArticle { 
  grid-area: article;      
  }
#mainNav { 
  grid-area: nav; 
  }
#siteAds { 
  grid-area: ads; 
  } 

/*end of main layout grid */



